Issue 119877 - [From Symphony]The graphic background in left table display incorrectly when using AOO open the sample .ppt file
[From Symphony]The graphic background in left table display incorrectly when ...
Status: CLOSED FIXED
Product: Impress
Classification: Application
Component: editing
3.4.0
PC All
: P2 normal (vote)
: 4.0.0
Assigned To: Andre
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 09:03 UTC by Li Feng Wang
Modified: 2012-12-26 07:34 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
sample file (336.50 KB, application/vnd.ms-powerpoint)
2012-06-07 09:03 UTC, Li Feng Wang
no flags Details
sample for all type backgroud set (911.00 KB, application/vnd.ms-powerpoint)
2012-06-28 06:06 UTC, SunYing
no flags Details
patch for ppt import table backgroud fill error. (1.48 KB, patch)
2012-06-28 06:17 UTC, SunYing
awf.aoo: review+
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Li Feng Wang 2012-06-07 09:03:54 UTC
Created attachment 78126 [details]
sample file

build:
AOO3.4 r1327774

steps:
1.Launch AOO and open the sample file.

Problem: The graphic background in left table display incorrectly, not same with PPT.
Comment 1 SunYing 2012-06-28 01:59:43 UTC
I'm checking this defect.
Comment 2 SunYing 2012-06-28 04:22:57 UTC
the bitmapmode attr does not set.
Comment 3 SunYing 2012-06-28 06:06:34 UTC
Created attachment 78508 [details]
sample for all type backgroud set
Comment 4 SunYing 2012-06-28 06:08:26 UTC
solution:
set FillBitmapMode attr according fillitem.
Comment 5 SunYing 2012-06-28 06:17:56 UTC
Created attachment 78509 [details]
patch for ppt import table backgroud fill error.
Comment 6 Andre 2012-07-06 12:30:27 UTC
Patch looks good and fixes the import problem.

SVN revision is 1358158.

The display in the slideshow, however, is still broken.
@SunYing: Can you fix that too?
Comment 7 Andre 2012-07-06 12:32:02 UTC
Comment on attachment 78509 [details]
patch for ppt import table backgroud fill error.

Reviewed OK.
Comment 8 louqle 2012-08-20 03:23:42 UTC
verified on XP SP3 and Ubuntu 12.04 against trunk build 1374181
Comment 9 louqle 2012-08-23 00:55:04 UTC
Verified on xp, Ubuntu, win7,mac,win7-64,Vista,suse,redhat, SLED 11 SP1 64 bit, all pass, close this bug